%global realname kdcproxy
Name:                python-%{realname}
Version:             0.4.2
Release:             4
Summary:             MS-KKDCP (kerberos proxy) WSGI module
License:             MIT
URL:                 https://github.com/npmccallum/%{realname}
Source0:             https://github.com/latchset/kdcproxy/releases/download/v0.4.2/kdcproxy-%{version}.tar.gz
BuildArch:           noarch
BuildRequires:       git
BuildRequires:       python3-devel python3-pytest python3-coverage python3-asn1crypto python3-dns
BuildRequires:       python3-mock

%description
This package contains a Python WSGI module for proxying KDC requests over
HTTP by following the MS-KKDCP protocol. It aims to be simple to deploy, with
minimal configuration.

%package -n python3-%{realname}
Summary:             MS-KKDCP (kerberos proxy) WSGI module
Requires:            python3-dns python3-asn1crypto
%{?python_provide:%python_provide python3-%{realname}}

%description -n python3-%{realname}
This package contains a Python 3.x WSGI module for proxying KDC requests over
HTTP by following the MS-KKDCP protocol. It aims to be simple to deploy, with
minimal configuration.

%prep
%autosetup -S git -n %{realname}-%{version}

%build
%py3_build

%install
%py3_install

%check
KDCPROXY_ASN1MOD=asn1crypto %{__python3} -m pytest

%files -n python3-%{realname}
%doc README
%license COPYING
%{python3_sitelib}/%{realname}/
%{python3_sitelib}/%{realname}-%{version}-*.egg-info

%changelog
* Tue Jun 30 2020 leiju <leiju4@huawei.com> - 0.4.2-4
- Package init
